# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "krafka"
version = "0.3.1"
authors = ["hupe1980"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A pure Rust, async-native Apache Kafka client"
documentation = "https://docs.rs/krafka"
readme = "README.md"
keywords = [
    "kafka",
    "async",
    "streaming",
    "messaging",
]
categories = [
    "network-programming",
    "asynchronous",
]
license = "MIT"
repository = "https://github.com/hupe1980/krafka"

[features]
aws-glue-schema-registry = [
    "aws-sdk-glue",
    "aws-config",
]
aws-msk = [
    "aws-config",
    "aws-credential-types",
]
danger-insecure-tls = []
default = []
schema-registry = [
    "reqwest",
    "serde",
    "serde_json",
]

[lib]
name = "krafka"
path = "src/lib.rs"

[[example]]
name = "admin"
path = "examples/admin.rs"

[[example]]
name = "authentication"
path = "examples/authentication.rs"

[[example]]
name = "consumer"
path = "examples/consumer.rs"

[[example]]
name = "consumer_advanced"
path = "examples/consumer_advanced.rs"

[[example]]
name = "producer"
path = "examples/producer.rs"

[[example]]
name = "transactional_producer"
path = "examples/transactional_producer.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[[test]]
name = "sasl_integration_tests"
path = "tests/sasl_integration_tests.rs"

[[bench]]
name = "consumer"
path = "benches/consumer.rs"
harness = false

[[bench]]
name = "producer"
path = "benches/producer.rs"
harness = false

[[bench]]
name = "protocol"
path = "benches/protocol.rs"
harness = false

[dependencies.arc-swap]
version = "1.9.0"

[dependencies.aws-config]
version = "1"
optional = true

[dependencies.aws-credential-types]
version = "1"
optional = true

[dependencies.aws-sdk-glue]
version = "1"
optional = true

[dependencies.base64]
version = "0.22"

[dependencies.bytes]
version = "1"

[dependencies.crc32c]
version = "0.6"

[dependencies.flate2]
version = "1"

[dependencies.hmac]
version = "0.12"

[dependencies.lz4_flex]
version = "0.11"

[dependencies.parking_lot]
version = "0.12"

[dependencies.pbkdf2]
version = "0.12"
features = ["hmac"]
default-features = false

[dependencies.rand]
version = "0.9"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
]
optional = true
default-features = false

[dependencies.rustls]
version = "0.23"
features = [
    "std",
    "tls12",
    "ring",
]
default-features = false

[dependencies.rustls-pemfile]
version = "2"

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dependencies.serde_json]
version = "1"
optional = true

[dependencies.sha2]
version = "0.10"

[dependencies.snap]
version = "1"

[dependencies.subtle]
version = "2"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.26"
features = [
    "rt-multi-thread",
    "net",
    "io-util",
    "time",
    "sync",
    "macros",
]

[dependencies.tokio-rustls]
version = "0.26"

[dependencies.tracing]
version = "0.1"

[dependencies.webpki-roots]
version = "0.26"

[dependencies.zeroize]
version = "1.8"
features = ["derive"]

[dependencies.zstd]
version = "0.13"

[dev-dependencies.criterion]
version = "0.5"
features = ["async_tokio"]

[dev-dependencies.testcontainers]
version = "0.23"

[dev-dependencies.testcontainers-modules]
version = "0.11"
features = ["kafka"]

[dev-dependencies.tokio-test]
version = "0.4"

[dev-dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]
